Menu Navbar
Today.wisc.edu API

Introduction

The today.wisc.edu API is a read-only (i.e. GET-only) API.

Simply append .json to any URL at today.wisc.edu to retrieve JSON data corresponding to that view.

JSON object structure

Data for requested events — whether multiple or single — will always be returned as an array of event data objects. The data object keys will always be the same as seen in the example below.

GET https://today.wisc.edu/events/tag/science.json

The above request returns JSON structured like this:

[
  {
    "id": 110714,
    "title": "What’s Blooming?",
    "subtitle": "Arboretum Native Plant Garden Tour",
    "description": "Join Susan Carpenter, Arboretum native plant gardener, to find, compare, and learn about flowers on native trees, shrubs, and herbaceous plants. Meet at the Visitor Center.",
    "startDate": "2017/06/21 19:00:00 -0500",
    "endDate": "",
    "startDateUnix": 1498089600,
    "endDateUnix": null,
    "allDayEvent": false,
    "phone": "608-263-7888",
    "email": "info@arboretum.wisc.edu",
    "cost": "",
    "url": "https://arboretum.wisc.edu/learn/tours/garden-tours/",
    "sponsor": "Arboretum/Graduate School",
    "tags": [
      "science",
      "research",
      "environment",
      "nature"
    ],
    "latlon": "43.0429254847512,-89.4247978847079",
    "location": "Meet at Visitor Center, UW-Madison Arboretum",
    "narrative_listing": "Join Susan Carpenter, Arboretum native plant gardener, to find, compare, and learn about flowers on native trees, shrubs, and herbaceous plants. Meet at the Visitor Center. Meet at Visitor Center, <a href=\"https://map.wisc.edu/?initObj=0604\" class=\"location_link\">UW-Madison Arboretum</a>. 7 p.m. Information: 263-7888, info@arboretum.wisc.edu",
    "uw_map_link": "https://map.wisc.edu/?initObj=0604"
  },
  {
    "id": 111497,
    "title": "Wednesday Nite @ The Lab",
    "subtitle": "\"Beer, Biofuels, and Beyond: Yeast Biodiversity in the Age of Genomics\" by Chris Hittinger, Dept of Genetics",
    "description": "We have recently discovered new wild species that have hybridized with domesticated yeasts to ferment iconic products, including lager beer, the most commonly fermented beverage on the planet. Other diverse yeasts and engineered hybrids show considerable promise that remains to be fully explored.",
    "startDate": "2017/06/21 19:00:00 -0500",
    "endDate": "",
    "startDateUnix": 1498089600,
    "endDateUnix": null,
    "allDayEvent": false,
    "phone": "608-265-2420",
    "email": "zinnen@biotech.wisc.edu",
    "cost": "",
    "url": "http://www.uwalumni.com/benefits-services/alumni-learning/wednesday-nite-the-lab/",
    "sponsor": "Science Alliance",
    "tags": [
      "lectures",
      "science",
      "engineering",
      "research",
      "environment",
      "genetics",
      "biotechnology",
      "Wisconsin Idea",
      "lecture",
      "STEM",
      "Fermentation ",
      "yeast",
      "Statewide Outreach"
    ],
    "latlon": "43.0738221859558,-89.4093779414772",
    "location": "1111  Genetics-Biotechnology Center Building",
    "narrative_listing": "We have recently discovered new wild species that have hybridized with domesticated yeasts to ferment iconic products, including lager beer, the most commonly fermented beverage on the planet. Other diverse yeasts and engineered hybrids show considerable promise that remains to be fully explored. 1111  <a href=\"https://map.wisc.edu/?initObj=0082\" class=\"location_link\">Genetics-Biotechnology Center Building</a>. 7 p.m. Information: 265-2420, zinnen@biotech.wisc.edu",
    "uw_map_link": "https://map.wisc.edu/?initObj=0082"
  },
  ...
]

Retrieve events

By department

https://today.wisc.edu/events/department/:id.json

Where :id is the ID number of the department, which can be found in admin.today.wisc.edu.

Parameter Default Description
limit 40 The number of events to return. Maximum is 100.
per_page 40 The number of events to return from a paginated set of results.
page 1 The page in a result set, based on the per_page param.
date Scope results to a specific date, formatted as YYYY-mm-dd.
start Scope results beginning on or after a date, formatted as YYYY-mm-dd.
end Scope results ending on or before a date, formatted as YYYY-mm-dd.
tags Scope results to one or more URL-encoded tags. Separate tags with a / character, e.g. film/dance/visual%20arts. A boolean OR query is used.
GET https://today.wisc.edu/events/department/422.json
GET https://today.wisc.edu/events/department/45.json?start=2017-07-01&end=2017-07-31&tags=volunteerism

By tag

https://today.wisc.edu/events/tag/:tag.json

Where :tag is the URL-encoded tag string (e.g. children%20and%20youth).

Parameter Default Description
limit 40 The number of events to return. Maximum is 100.
per_page 40 The number of events to return from a paginated set of results.
page 1 The page in a result set, based on the per_page param.
date Scope results to a specific date, formatted as YYYY-mm-dd.
start Scope results beginning on or after a date, formatted as YYYY-mm-dd.
end Scope results ending on or before a date, formatted as YYYY-mm-dd.
GET https://today.wisc.edu/events/tag/children%20and%20youth.json
GET https://today.wisc.edu/events/tag/arts.json?start=2017-09-01&end=2017-09-30

By feed

https://today.wisc.edu/events/feed/:id.json

Where :id is the feed ID value. Feeds can be created by users in a department account at admin.today.wisc.edu.

Parameter Default Description
limit 40 The number of events to return. Maximum is 100.
per_page 40 The number of events to return from a paginated set of results.
page 1 The page in a result set, based on the per_page param.
date Scope results to a specific date, formatted as YYYY-mm-dd.
start Scope results beginning on or after a date, formatted as YYYY-mm-dd.
end Scope results ending on or before a date, formatted as YYYY-mm-dd.
tags Scope results to one or more URL-encoded tags. Separate tags with a / character, e.g. film/dance/visual%20arts. A boolean OR query is used.
departments Scope results to one or more department IDs. Separate IDs with a , character, e.g. 29,45,100. A boolean OR query is used.
GET https://today.wisc.edu/events/feed/21.json
GET https://today.wisc.edu/events/feed/21.json?date=2017-06-21
GET https://today.wisc.edu/events/feed/21.json?date=2017-06-22&tags=arts/science
GET https://today.wisc.edu/events/feed/21.json?start=2017-03-01&end=2017-09-30&tags=science/film&departments=29,16

By search term

https://today.wisc.edu/events/search/:term.json

Where :term is the URL-encoded term string (e.g. UW%20Cinematheque).

Parameter Default Description
limit 40 The number of events to return. Maximum is 100.
per_page 40 The number of events to return from a paginated set of results.
page 1 The page in a result set, based on the per_page param.
date Scope results to a specific date, formatted as YYYY-mm-dd.
start Scope results beginning on or after a date, formatted as YYYY-mm-dd.
end Scope results ending on or before a date, formatted as YYYY-mm-dd.
tags Scope results to one or more URL-encoded tags. Separate tags with a / character, e.g. film/dance/visual%20arts. A boolean OR query is used.
departments Scope results to one or more department IDs. Separate IDs with a , character, e.g. 29,45,100. A boolean OR query is used.
GET https://today.wisc.edu/events/search/UW%20Cinematheque.json
GET https://today.wisc.edu/events/search/westlake.json?start=2017-06-01&end=2017-08-31&tags=theatre/film&departments=29

Retrieve a single event

https://today.wisc.edu/events/view/:id.json

Where :id is the event ID value.

Parameter Default Description

No params for this endpoint.

GET https://today.wisc.edu/events/view/110714.json